import os
import hmScripts as root
import hmScripts.UI.hmMenu as menu
import maya.cmds as cmds

root_path = root.__path__[0]
hm_templates_root = '%s/AETemplates' % root_path
# hmContextMenus = '%s/ContextMenu' % rootPath
maya_script_environ = 'MAYA_SCRIPT_PATH'
mayaVersion = int( str(cmds.about(api=True))[0:4] )
hmDockWinInterName = "hardMeshWorkspaceWindow"

def load_interface():
    # Add the AE templates to script path...
    if not hm_templates_root in os.environ[maya_script_environ]:
        os.environ[maya_script_environ] += os.pathsep + hm_templates_root

    # Add the Context menus to script path...
    # if not hmContextMenus in os.environ[mayaScriptEnviron]:
    # 	os.environ[mayaScriptEnviron] += os.pathsep + hmContextMenus
    # print mayaScriptEnviron, os.environ[mayaScriptEnviron]

    menu.hmMenu()


def remove_interface():
    # Delete the workflow window if existing
    #
    if mayaVersion >= 2017:
        if cmds.workspaceControl(hmDockWinInterName, exists=True):
            cmds.deleteUI(hmDockWinInterName)
    else:
        if cmds.dockControl(hmDockWinInterName, exists =True):
            cmds.deleteUI(hmDockWinInterName)


    # Delete always the menu
    #
    cmds.deleteUI("hmMenuBar")


